package cn.com.qmth.examcloud.exchange.inner.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.exchange.inner.api.UpyunCloudService;
import cn.com.qmth.examcloud.exchange.inner.api.request.PutFileReq;
import cn.com.qmth.examcloud.exchange.inner.api.response.PutFileResp;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年11月27日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Service
public class UpyunCloudServiceClient extends ExchangeCloudClientSupport
		implements
			UpyunCloudService {

	@Autowired
	RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	public PutFileResp putFile(PutFileReq req) {
		return null;
	}

}
